eZ component: File, Requirements
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
:Author:   Derick Rethans
:Revision: $Revision: 7003 $
:Date:     $Date: 2007-12-17 10:05:16 +0100 (Mon, 17 Dec 2007) $

Introduction
============

Description
-----------
Provides functionality related to file and filesystem that PHP doesn't cover,
or doesn't cover enough.

Requirements
============
The methods in the file component are all standalone methods and cover missing
functionality and higher level file/filesystem operations. In the first version
the component should include a static method to recursively scan through a
directory and pick out files matching a specific pattern specfied by one or
more regular expressions.


..
   Local Variables:
   mode: rst
   fill-column: 79
   End:
   vim: et syn=rst tw=79
